Bug 1693325 (CVE-2019-0199)

Summary: CVE-2019-0199 tomcat: Apache Tomcat HTTP/2 DoS
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: aileenc, alazarot, alee, anstephe, avibelli, bgeorges, bmaxwell, cdewolf, chazlett, cmoulliard, coolsvap, csutherl, darran.lofthouse, dimitris, dosoudil, drieden, etirelli, fgavrilo, gvarsami, gzaronik, hhorak, ibek, ikanello, ivan.afonichev, java-sig-commits, jawilson, jbalunas, jclere, jcoleman, jdoyle, jolee, jondruse, jorton, jpallich, jschatte, jshepherd, jstastny, kconner, krathod, krzysztof.daniel, kverlaen, ldimaggi, lgao, loleary, lthon, mbabacek, mizdebsk, mszynkie, myarboro, nwallace, paradhya, pgallagh, pgier, ppalaga, pslavice, rhcs-maint, rnetuka, rrajasek, rruss, rstancel, rsvoboda, rsynek, rwagner, rzhang, sdaley, spinder, tcunning, theute, tkirby, twalsh, vhalbert, vtunka, weli, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: tomcat 8.5.38, tomcat 9.0.16 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Apache Tomcat, where the HTTP/2 implementation accepted streams with excessive numbers of SETTINGS frames and also permitted clients to keep streams open, which enables them to cause server-side threads to block. This flaw eventually leads to a denial of service attack.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-12-02 19:04:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1693326, 1693508    
Bug Blocks: 1692760    

Description Laura Pardo 2019-03-27 14:40:55 UTC
A vulnerability was found in Apache Tomcat version from 9.0.0.M1 to 9.0.14 inclusive and 8.5.0 to 8.5.37 inclusive. The HTTP/2 implementation accepted streams with excessive numbers of SETTINGS frames and also permitted clients to keep streams open without reading/writing request/response data. By keeping streams open for requests that utilised the Servlet API's blocking I/O, clients were able to cause server-side threads to block eventually leading to thread exhaustion and a DoS.


References:
https://mail-archives.apache.org/mod_mbox/tomcat-announce/201903.mbox/browser
http://tomcat.apache.org/security-9.html
http://tomcat.apache.org/security-8.html

Comment 1 Laura Pardo 2019-03-27 14:41:19 UTC
Created tomcat tracking bugs for this issue:

Affects: fedora-all [bug 1693326]

Comment 4 Doran Moppert 2019-06-27 04:01:21 UTC
Statement:

pki-servlet-container does not use HTTP/2 in its default configuration.

Comment 5 errata-xmlrpc 2019-12-02 16:22:31 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server

Via RHSA-2019:3931 https://access.redhat.com/errata/RHSA-2019:3931

Comment 6 errata-xmlrpc 2019-12-02 16:27:07 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server 5.2 on RHEL 7
  Red Hat JBoss Web Server 5.2 on RHEL 6
  Red Hat JBoss Web Server 5.2 on RHEL 8

Via RHSA-2019:3929 https://access.redhat.com/errata/RHSA-2019:3929

Comment 7 Product Security DevOps Team 2019-12-02 19:04:51 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-0199